{ pkgs, ... }:
{
  environment.pathsToLink = [ "/libexec" ];
  environment.sessionVariables.TERMINAL = [ "kitty" ];
  environment.variables = {
    TERMINAL = "kitty";
    BROWSER = "firefox";
  };
  services.xserver = {
    displayManager = {
      autoLogin = {
        enable = true;
        user = "hackens";
      };
    };

    windowManager.i3 = {
      enable = true;
      extraSessionCommands = ''
        ${pkgs.xlibs.xset}/bin/xset r rate 200 50
      '';
      extraPackages = with pkgs; [
        rofi
        dunst
        i3status-rust
        i3lock
        kitty
      ];
    };
  };

  fonts.fonts = with pkgs; [
    hack-font
    noto-fonts
    noto-fonts-cjk
    noto-fonts-emoji
    liberation_ttf
    fira-code
    fira-code-symbols
    mplus-outline-fonts
    dina-font
    proggyfonts
    powerline-fonts
    font-awesome
  ];

  services.picom = {
    enable = true;
    vSync = true;
  };
}

